Bug 869234 - webadmin: we are able to select NFS options on creation of NFS domain V1 with DC=None on 3.0 compatibility
webadmin: we are able to select NFS options on creation of NFS domain V1 with...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: Ayal Baron
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 07:07 EDT by Dafna Ron
Modified: 2016-02-10 11:36 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 13:26:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (198.56 KB, application/x-gzip)
2012-10-23 07:07 EDT, Dafna Ron
no flags Details
logs (566.39 KB, application/x-gzip)
2013-12-17 05:40 EST, Aharon Canan
no flags Details

  None (edit)
Description Dafna Ron 2012-10-23 07:07:38 EDT
Created attachment 632033 [details]
log

Description of problem:

when creating NFS storage domain with 3.0 DC/Cluster/Host when DC=None we can select NFS option MountV4. 
the domain will be created as Mount V3 with no error for user.


Version-Release number of selected component (if applicable):

si21.1 upgraded from 3.0
vdsm-4.9-113.3.el6_3.x86_64

How reproducible:

100%

Steps to Reproduce:
1. in a DC/Cluster/Host of 3.0 create a new NFS domain
2. select DC=None, Domain V1, NFS=4
3.
  
Actual results:

we create the domain as Mount v3 and do not report any error to the user

Expected results:

we should alert the user that mount in 3.0 is V3 only

Additional info: logs



mount: 

wolf.qa.lab.tlv.redhat.com:/volumes/wolf/Dafna_Data_2_nfs_20120815143626506108 on /rhev/data-center/mnt/wolf.qa.lab.tlv.redhat.com:_volumes_wolf_Dafna__Data__2__nfs__20120815143626506108 type nfs (rw,soft,timeo=600,retrans=6,nosharecache,vers=3,addr=10.35.64.102)
Comment 1 Simon Grinberg 2012-10-23 13:49:24 EDT
I don't understand the scenario.

Do you mean to say that you start the SD creation with a DC from 3.0 marked, then change it to None?

Or do you mean that you are using for the creation a host that is in a 3.0 DC while the DC=none ?
Comment 2 Ayal Baron 2012-10-23 16:45:11 EDT
(In reply to comment #1)
> I don't understand the scenario.
> 
> Do you mean to say that you start the SD creation with a DC from 3.0 marked,
> then change it to None?
> 
> Or do you mean that you are using for the creation a host that is in a 3.0
> DC while the DC=none ?

After discussing with Dafna, afaiu she means that she's creating a domain with DC=none and then attaches it to a 3.0 DC.
While creating the domain you're able to specify the NFS options, but these only take effect if you attach the domain to a 3.1 DC.
In this scenario there is:
1. no warning to user that options will only take effect if domain is attached to a 3.1 DC
or
2. block the operation in case the host used is not part of a 3.1 DC

or both.
Comment 3 Simon Grinberg 2012-12-24 10:09:07 EST
(In reply to comment #2)
> After discussing with Dafna, afaiu she means that she's creating a domain
> with DC=none and then attaches it to a 3.0 DC.
> While creating the domain you're able to specify the NFS options, but these
> only take effect if you attach the domain to a 3.1 DC.
> In this scenario there is:
> 1. no warning to user that options will only take effect if domain is
> attached to a 3.1 DC

I wander if a warning is enough, activation may later fail if ignoring the parameters prevent the mount on the SPM  

> or
> 2. block the operation in case the host used is not part of a 3.1 DC

This may not solve the issue of moving SDs

> 
> or both.

Why not just prevent this domain to be attached to a 3.0 DC with an error stating why?
Comment 4 Nir Soffer 2013-12-15 15:10:26 EST
Can we reproduce this on 3.3?
Comment 5 Aharon Canan 2013-12-17 05:39:41 EST
reproduce using 3.3 is27

1. create unattached v1 SD with NFS v4 
2. create DC 3.0 and attach the SD to it
3. in SD tab choose the relevant SD - appears as v4
4. run mount in host - appears as v3

we are sending v3 instead of v4 

Thread-67959::DEBUG::2013-12-17 12:32:40,659::mount::226::Storage.Misc.excCmd::(_runcmd) '/usr/bin/sudo -n /bin/mount -t nfs -o soft,nosharecache,timeo=600,ret
rans=6,nfsvers=3 10.35.19.199:/sasha-nfs /rhev/data-center/mnt/10.35.19.199:_sasha-nfs' (cwd None)
Comment 6 Aharon Canan 2013-12-17 05:40:24 EST
Created attachment 837626 [details]
logs
Comment 7 Ayal Baron 2014-01-09 13:26:27 EST
Doesn't look like we'll ever get to this and no customers have complained.  If this is important to anyone, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.